# Retrieve Transaction's Fees
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/transactions-and-fees-management/retrieve-trans-fees/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving fees for a specified transaction.

**Sample request**

`GET /transactions/90001/fees`

**Sample response**

`200`

```JSON
{
    "transactionFees": [
        {
            "amount": 199.9,
            "currency": "EUR",
            "currencyNumericCode": "978",
            "feeCode": "FX_FEE",
            "feeId": 84650468,
            "feeName": "Retail (EuroCard Acq)",
            "transactionId": 90001
        },
        {
            "amount": 199.9,
            "currency": "EUR",
            "currencyNumericCode": "978",
            "feeCode": "FX_FEE",
            "feeId": 84650469,
            "feeName": "Retail (EuroCard Acq)",
            "transactionId": 90001
        }
    ]
}
```

## Test case -- Success -- No Fees {#test-case--success--no-fees}

This test case describes retrieving fees for a specified transaction that does not have any fees.

For this test case, use the following information in the request:

|  Path parameter  | Available value |
|------------------|-----------------|
| `transaction_id` | 45001           |

**Sample request**

`GET /transactions/45001/fees`

**Sample response**

`200`

```JSON
{
    "transactionFees": []
}
```

